__gnu_debug::_BeforeBeginHelper< _Sequence >(3)

NAME
__gnu_debug::_BeforeBeginHelper< _Sequence > -

SYNOPSIS

  Public Types
typedef _It::iterator_type _BaseIt
typedef _Sequence::const_iterator _It

  Static Public Member Functions
static bool _S_Is (_BaseIt, const _Sequence *)
static bool _S_Is_Beginnest (_BaseIt __it, const _Sequence *__seq)

Detailed Description

  template<typename _Sequence>struct __gnu_debug::_BeforeBeginHelper< _Sequence >
Helper struct to deal with sequence offering a before_begin iterator.

Definition at line 45 of file safe_iterator.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.